import type { Contacts } from './Contacts';
import type { HistoryTransactional } from './HistoryTransactional';
import type { InternetTracking } from './InternetTracking';
import type { Member } from './Member';
import type { Office } from './Office';
import type { OpenHouse } from './OpenHouse';
import type { Property } from './Property';
import type { Queue } from './Queue';
import type { Rules } from './Rules';
import type { SavedSearch } from './SavedSearch';
import type { Showing } from './Showing';
import type { TeamMembers } from './TeamMembers';
import type { Teams } from './Teams';
export declare type OUID = {
    id?: number;
    OrganizationStatus?: boolean;
    ChangedByMemberKeyNumeric?: number;
    OrganizationAorOuidKeyNumeric?: number;
    OrganizationMemberCount?: number;
    OrganizationUniqueIdKeyNumeric?: number;
    ChangedByMemberID?: string;
    ChangedByMemberKey?: string;
    OrganizationAddress1?: string;
    OrganizationAddress2?: string;
    OrganizationAorOuid?: string;
    OrganizationAorOuidKey?: string;
    OrganizationCarrierRoute?: string;
    OrganizationCity?: string;
    OrganizationComments?: string;
    OrganizationContactEmail?: string;
    OrganizationContactFax?: string;
    OrganizationContactFirstName?: string;
    OrganizationContactFullName?: string;
    OrganizationContactJobTitle?: string;
    OrganizationContactLastName?: string;
    OrganizationContactMiddleName?: string;
    OrganizationContactNamePrefix?: string;
    OrganizationContactNameSuffix?: string;
    OrganizationContactPhone?: string;
    OrganizationContactPhoneExt?: string;
    OrganizationMlsCode?: string;
    OrganizationMlsVendorName?: string;
    OrganizationMlsVendorOuid?: string;
    OrganizationName?: string;
    OrganizationNationalAssociationId?: string;
    OrganizationPostalCode?: string;
    OrganizationPostalCodePlus4?: string;
    OrganizationStateLicense?: string;
    OrganizationUniqueId?: string;
    OrganizationUniqueIdKey?: string;
    OrganizationAOR?: string;
    OrganizationCountry?: string;
    OrganizationCountyOrParish?: string;
    OrganizationSocialMediaType?: string;
    OrganizationStateLicenseState?: string;
    OrganizationStateOrProvince?: string;
    OrganizationType?: string;
    ModificationTimestamp?: string;
    OrganizationStatusChangeTimestamp?: string;
    OriginalEntryTimestamp?: string;
    ChangedByMember?: Member;
    OriginatingSystemContacts?: Array<Contacts>;
    SourceSystemContacts?: Array<Contacts>;
    OriginatingSystemHistoryTransactionals?: Array<HistoryTransactional>;
    SourceSystemHistoryTransactionals?: Array<HistoryTransactional>;
    ActorOriginatingSystemInternetTrackings?: Array<InternetTracking>;
    ActorSourceSystemInternetTrackings?: Array<InternetTracking>;
    EventOriginatingSystemInternetTrackings?: Array<InternetTracking>;
    EventSourceSystemInternetTrackings?: Array<InternetTracking>;
    ObjectOriginatingSystemInternetTrackings?: Array<InternetTracking>;
    ObjectSourceSystemInternetTrackings?: Array<InternetTracking>;
    OriginatingSystemMembers?: Array<Member>;
    SourceSystemMembers?: Array<Member>;
    OriginatingSystemOffices?: Array<Office>;
    SourceSystemOffices?: Array<Office>;
    OriginatingSystemOpenHouses?: Array<OpenHouse>;
    SourceSystemOpenHouses?: Array<OpenHouse>;
    OriginatingSystemProperties?: Array<Property>;
    SourceSystemProperties?: Array<Property>;
    OriginatingSystemQueues?: Array<Queue>;
    SourceSystemQueues?: Array<Queue>;
    OriginatingSystemRules?: Array<Rules>;
    SourceSystemRules?: Array<Rules>;
    OriginatingSystemSavedSearches?: Array<SavedSearch>;
    SourceSystemSavedSearches?: Array<SavedSearch>;
    AgentOriginatingSystemShowings?: Array<Showing>;
    AgentSourceSystemShowings?: Array<Showing>;
    ListingOriginatingSystemShowings?: Array<Showing>;
    ListingSourceSystemShowings?: Array<Showing>;
    ShowingOriginatingSystemShowings?: Array<Showing>;
    ShowingSourceSystemShowings?: Array<Showing>;
    OriginatingSystemTeamMembers?: Array<TeamMembers>;
    SourceSystemTeamMembers?: Array<TeamMembers>;
    OriginatingSystemTeams?: Array<Teams>;
    SourceSystemTeams?: Array<Teams>;
};
